DCMTK - Conformance #852

Add support for CP-1789 (Allow categorical observations without measurements for ROls in TID
15003

2018-11-13 18:03 - Jorg Riesmeier

Status: Closed Start date: 2018-11-13
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 2:00 hours

Target version:

Module: dcmsr/cmr Compiler:

Operating System:

Description

Rationale for Correction:—

There are use cases for spatially locating ROIs and providing findings or categorical observations (qualitative evaluations)
without—

measurements.—

Relax the requirement to always have measurements for planar and volumetric ROIs and other measurements in Measurement—

Reports, and rename the templates accordingly.—

See: ftp://medical.nema.org/MEDICAL/Dicom/Final/cp1789 ft TID1500allowcategoricalalone.pdf

Related issues:
Related to DCMTK - Conformance #948: Add support for CP-1998: Relax unnecessa... Closed 2020-09-22

History

#1 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

#2 - 2021-07-07 13:10 - JO6rg Riesmeier
- Related to Conformance #948: Add support for CP-1998: Relax unnecessary TID 1500 requirements to simplify for some Al/ML use cases-added

#3 - 2021-07-07 19:00 - JO6rg Riesmeier
- Estimated time set to 2:00 h

#4 - 2021-07-08 15:57 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commit a322fea97.
